#ifdef WIN32
#define FG_SHELL    "CMD.EXE "
#define BG_SHELL    "CMD.EXE "
#else
#define FG_SHELL    "COMFGNML.PIF "
#define BG_SHELL    "COMBGNML.PIF "
#endif

#define IDM_TEX_TEX			4864 // hex 1300
#define IDM_TEX_TEX1  		4870 // hex 1306
#define IDM_TEX_TEX2  		4871 // hex 1307
#define IDM_TEX_PRINT1 		4872
#define IDM_TEX_PRINT2 		4873
#define IDM_TEX_PRINT3 		4874
#define IDM_TEX_PRINT4 		4875
#define IDM_TEX_SPELL1 		4876
#define IDM_TEX_SPELL2 		4877
#define IDM_TEX_ACCENTS		4878
#define IDM_TEX_ACC_ASCII_ANSI 	4879 // hex 130f
#define IDM_TEX_ACC_ASCII_TEX 	4880 // hex 1310
#define IDM_TEX_ACC_ANSI_ASCII 	4881
#define IDM_TEX_ACC_ANSI_TEX 	4882 
#define IDM_TEX_ACC_TEX_ASCII 	4883 
#define IDM_TEX_ACC_TEX_ANSI 	4884 
#define IDM_TEX_SETUP 		4885 // hex 1315
#define IDM_TEX_MAIN 		4890 // hex 131a 
#define IDM_TEX_WORD_WRAP	4891 // hex 131b 
#define IDM_TEX_MATHCOLOR	4892 // hex 131c
#define IDM_TEX_SETMAIN  	4893 // hex 131d
#define IDM_TEX_WRAP_PAR		4894 // hex 131E
#define IDM_TEX_WRAP_ALL		4895 // hex 131F
#define IDM_TEX_UTIL		4896 // hex 1320
#define IDM_TEX_UTIL_TEXT_TEX0		4897 // hex 1321
#define IDM_TEX_UTIL_TEXT_TEX1		4898 // hex 1322
#define IDM_TEX_UTIL_TEX_TEXT0		4899 // hex 1323
#define IDM_TEX_UTIL_TEX_TEXT1		4900 // hex 1324
#define IDM_TEX_UTIL_TAB_TABU		4901 // hex 1325
#define IDM_TEX_UTIL_TABU_TAB		4902 // hex 1326

#define IDD_FRPG_OK                     101
#define IDD_FRPG_FROMPAGE               102
#define IDD_FRPG_TOPAGE                 103
#define IDD_FRPG_CANCEL                 104
#define IDD_FRPG_PARAM					105

#define IDD_TEX_TEX1                    101
#define IDD_TEX_DESCRIPTION             102
#define IDD_TEX_TEX2                    103
#define IDD_TEX_TEX1_CAP                104
#define IDD_TEX_TEX2_CAP                105
#define IDD_TEX_PRINT1                  106
#define IDD_TEX_PRINT2                  107
#define IDD_TEX_PRINT3                  108
#define IDD_TEX_PRINT4                  109
#define IDD_TEX_SPELL1                  110
#define IDD_TEX_TEX1_NC                 111
#define IDD_TEX_TEX2_NC                 112
#define IDD_TEX_TEX1_SAF                113
#define IDD_TEX_TEX2_SAF                114
#define IDD_TEX_SPELL2                  115
#define IDD_TEX_PRINT1_CAP              116
#define IDD_TEX_PRINT2_CAP              117
#define IDD_TEX_PRINT1_NC               118
#define IDD_TEX_PRINT2_NC               119
#define IDD_TEX_PRINT1_SAF              120
#define IDD_TEX_PRINT2_SAF              121
#define IDD_TEX_PRINT3_CAP              122
//#define IDD_TEX_PRINT4_CAP              123
#define IDD_TEX_PRINT3_NC               124
//#define IDD_TEX_PRINT4_NC               125
#define IDD_TEX_PRINT3_SAF              126
//#define IDD_TEX_PRINT4_SAF              127
#define IDD_TEX_SPELL1_CAP              128
//#define IDD_TEX_SPELL2_CAP              129
#define IDD_TEX_SPELL1_NC               130
//#define IDD_TEX_SPELL2_NC               131
#define IDD_TEX_SPELL1_SAF              132
//#define IDD_TEX_SPELL2_SAF              133
//#define IDD_TEX_TEX1_VDOS      			134
//#define IDD_TEX_TEX2_VDOS      			135
//#define IDD_TEX_PRINT1_VDOS      		136
//#define IDD_TEX_PRINT2_VDOS      		137
//#define IDD_TEX_PRINT3_VDOS      		138
//#define IDD_TEX_SPELL1_VDOS      		139
#define IDD_TEX_TEX1_MIN              	140
#define IDD_TEX_TEX1_NORMAL             141
#define IDD_TEX_TEX1_MAX              	142
#define IDD_TEX_TEX2_MIN              	143
#define IDD_TEX_TEX2_NORMAL             144
#define IDD_TEX_TEX2_MAX              	145
#define IDD_TEX_PRINT1_MIN              146
#define IDD_TEX_PRINT1_NORMAL           147
#define IDD_TEX_PRINT1_MAX              148
#define IDD_TEX_PRINT2_MIN              149
#define IDD_TEX_PRINT2_NORMAL           150
#define IDD_TEX_PRINT2_MAX              151
#define IDD_TEX_PRINT3_MIN              152
#define IDD_TEX_PRINT3_NORMAL           153
#define IDD_TEX_PRINT3_MAX              154
#define IDD_TEX_SPELL1_MIN              155
#define IDD_TEX_SPELL1_NORMAL           156
#define IDD_TEX_SPELL1_MAX              157

#define IDD_TEX_MAIN         			160
#define IDD_TEX_ERRFNAME				161

#define IDC_STATIC                      -1

#define FLAG_TEX_WRAP		  0X0002	   // TeX Wrap enabled
#define FLAG_TEX_MAIN		  0X0004	   // Use project name as main
#define TEX_COLOR_MATH        0x0008	   // Math Coloring disabled

#define DESC_TEX_FLAGS		"TeX Flags"
#define DESC_TEX_SETUP		"TeX Setup"
#define EXT_TEX_FLAGS		".@@eX"
#define EXT_TEX_CMD			".@TeX"

MarkID current_tex_pos;
LPSTR  current_tex_file;
BOOL  _currentBuf_wrap;
int	   tex_warning_level;

PUBLIC DWORD TexQFlags();
PUBLIC DWORD TexSetFlags( DWORD flags );
PUBLIC void TexMenuInsert();								
long DLL _tex_ww_handler(  long eventnum, long chptr );
long DLL _tex_buf_current_handler( long eventnum, long chptr );
long DLL _tex_buf_uncurrent_handler( long eventnum, long chptr ); 
long DLL _tex_close_handler( long eventnum, long chptr ); 
PUBLIC void DLL TeXColorMath ( int on );
PUBLIC void DLL	ToggleTexWrapEnable(void);
PUBLIC void DLL TexWrapParagraph( void );
PUBLIC void DLL TexWrapAll( void );
PUBLIC void DLL TextToTeX( int );
PUBLIC void DLL TeXToText( int );
PUBLIC void DLL TabToTeXTabular( void );
PUBLIC void DLL TeXTabularToTab( void );
PUBLIC BOOL DLL	TexWrapEnable( int on );

